Groovy 1.7.10

## org.codehaus.groovy.runtime
[Java] Class ReverseListIterator

    java.lang.Object
      org.codehaus.groovy.runtime.ReverseListIterator

All Implemented Interfaces:
  Iterator

    public class ReverseListIterator
    extends Object

A reverse iterator over a list. Utilizes the ListIterator obtained from the provided List and converts it to an Iterator that efficiently traverses the `List` in reverse. The fail-fast semantics of this iterator are the same as the semantics of the underlying `ListIterator`.

Authors:
  Mike Dillon

Constructor Summary
`ReverseListIterator(List list)` Constructs a new `ReverseListIterator` for the provided list.

Method Summary
`boolean` | `hasNext()` {@inheritDoc}
`T` | `next()` {@inheritDoc}
`void` | `remove()` {@inheritDoc}

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ReverseListIterator

    public ReverseListIterator(List list)

  Constructs a new `ReverseListIterator` for the provided list.
  Parameters:
    `list` - the list to iterate over in reverse

Method Detail

### hasNext

    public boolean hasNext()

  {@inheritDoc}

### next

    public T next()

  {@inheritDoc}

### remove

    public void remove()

  {@inheritDoc}

Copyright © 2003-2010 The Codehaus. All rights reserved.